import React from 'react'
import ReactDOM from 'react-dom/client'
import Router from '@src/router'
import GlobalStateProvider from '@src/store/GlobalStateProvider'
import zh_CN from 'antd/locale/zh_CN'
import '@assets/css/base.css'
import { ConfigProvider } from 'antd'
import dayjs from 'dayjs'
import 'dayjs/locale/zh-cn'
dayjs.locale('zh-cn')

ReactDOM.createRoot(document.getElementById('root')!).render(
  <React.StrictMode>
    <GlobalStateProvider>
      <ConfigProvider locale={zh_CN}>
        <Router />
      </ConfigProvider>
    </GlobalStateProvider>
  </React.StrictMode>
)
