import { PlusOutlined } from '@ant-design/icons'
import { Button } from 'antd'
import FilterHeaderLayout from '@src/components/FilterHeaderLayout'
import { debounce } from 'lodash'

interface PropsType {
  onCreate: EventFunctionType<[]>
}

export default function HeaderFilter({ onCreate }:PropsType) {

  const createApp = debounce(() => {
    onCreate()
  }, 1000, {leading: true, trailing: false})

  return (
    <div style={{marginBottom:'16px'}}>
      <FilterHeaderLayout 
        rightComponent={
          <>
            <Button
              type='primary'
              icon={<PlusOutlined />} 
              onClick={createApp}
            >新建广告位</Button>
          </>
        }
      />
    </div>
  )
}