import { RouteObject } from 'react-router-dom'
import Manage from '@src/pages/Manage'

const routeObject: RouteObject = {
  path: 'manage',
  Component: Manage,
  children:[
    {
      path: 'app-manage',
      lazy: async () => {
        const {AppManage} = await import('@src/pages/Manage/components/AppManage')
        return {Component:AppManage}
      }
    },
    {
      path: 'ad-manage',
      lazy: async () => {
        const {AdManage} = await import('@src/pages/Manage/components/AdManage')
        return {Component:AdManage}
      }
    },
    {
      path: 'ad-data',
      lazy: async () => {
        const {AdData} = await import('@src/pages/Manage/components/AdData')
        return {Component:AdData}
      }
    }
  ]
}
export default routeObject
