import { PropsWithChildren} from 'react'
import loadingState from './globalStates/loadingState'
import userState from './globalStates/userState'
import userAuthState from './globalStates/userAuthState'
import adTypeState from './globalStates/adTypeState'

export default function GlobalStateProvider({children}: PropsWithChildren) {
  return (
    <userAuthState.GlobalStateProvider>
      <loadingState.GlobalStateProvider>
        <userState.GlobalStateProvider>
          <adTypeState.GlobalStateProvider>
            {children}
          </adTypeState.GlobalStateProvider>
        </userState.GlobalStateProvider>
      </loadingState.GlobalStateProvider>
    </userAuthState.GlobalStateProvider>
  )
}